> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antsdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Geolocation Targeting

> Geolocation targeting allows you to target specific country, region, or city.

<CodeGroup>
  ```Shell Country Targeting theme={null}
  curl -U "customer-<username>-country-<country_code>:<password>" -x "proxy.antsdata.com:40000" "https://target.domain"
  ```

  ```Shell Region Targeting theme={null}
  curl -U "customer-<username>-country-<country_code>-region-<region_name>:<password>" -x "proxy.antsdata.com:40000" "https://target.domain"
  ```

  ```Shell City Targeting theme={null}
  curl -U "customer-<username>-country-<country_code>-region-<region_name>-city-<city_name>:<password>" -x "proxy.antsdata.com.com:40000" "https://target.domain"
  ```
</CodeGroup>

<Note>The country\_code is the two-character ISO 3166-1 country code. You can use the **Endpoint Generator** on the [Dashboard](https://www.goproxy.com/dashboard/) to automatically generate the code.</Note>
